XScreenSaver(6)

NAME
cloudlife - a cellular automaton based on Conway's Life

SYNOPSIS
cloudlife [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-cycle-delay microseconds] [-cycle-colors integer][-cell-size integer] [-initial-density integer] [-max-age integer] [-fps]

DESCRIPTION
The cloudlife program draws a cellular automaton based on Conway's Life, except that cells have a maximum age, and only one pixel per cell is drawn every tick.

OPTIONS
cloudlife accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-cycle-delay integer
    Time in microseconds to sleep between ticks. Default 25000.

-cycle-colors integer
    How many ticks should elapse between cycling colors. 0 to disable color cycling. Default 2.

-ncolors integer
    How many colors should be used (if possible). Default 64. The colors are chosen randomly.

-cell-size integer
    Size of each cell, in powers of 2. Default 3 (8-pixel cells).

-initial-density integer
    Percentage of cells that are alive at start and when the field is repopulated. Default 30.

-max-age integer
    Maximum age for a cell. Default 64.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 2003 by Don Marti. Based on examples from the hacks directory of xscreensaver, Copyright (c) 1997, 1998, 2002 Jamie Zawinski <jwz@jwz.org> This man page based on the man page of sierpinski, Copyright © 1996 by Desmond Daignault. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Don Marti <dmarti@zgp.org> 20 May 2003.